Bug 469054 - Missing dependencies
Missing dependencies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 13:47 EDT by Tethys
Modified: 2009-07-14 10:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:09:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tethys 2008-10-29 13:47:56 EDT
Description of problem:
systemtap needs kernel-devel and kernel-debuginfo, but these aren't
given as dependencies in the systemtap package. It's rare for me to
be asking for more dependencies (Fedora packages usually have too
many already), but in this case, it would seem to be the right thing
to do.

Version-Release number of selected component (if applicable):
systemtap-0.7-1.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. yum install systemtap
2. stap myscript.stp
3. Complaints about libdwfl (sorry, I don't have the exact error message on screen any more)

Additional info:
Installing the extra listed packages fixes the problem and makes
systemtap usable.
Comment 1 Frank Ch. Eigler 2008-10-29 13:57:49 EDT
One problem with this is the diversity of kernels of any given version:
plain kernel, kernel-debug, kernel-PAE, etc., each with its own -devel
and -debuginfo pieces.  While kernel-FOO-devel does tend these days to
give a virtual provide: for a base "kernel-devel", kernel-FOO-debuginfo
does not.  AFAIK, that means there is no single generic require: we could
have.
Comment 2 Tethys 2008-10-30 06:38:53 EDT
Could you not have a pre- or post- install hook that checked the currently
running kernel and installed the appropriate debuginfo package? It wouldn't
be 100% perfect, but it would get it right in the vast majority of cases.
Comment 3 Frank Ch. Eigler 2008-10-30 07:54:35 EDT
I don't think it would be right for those hooks to try to initiate
network downloads.  However, we could at least print a message
with suggestions.
Comment 4 Frank Ch. Eigler 2009-03-24 11:32:23 EDT
Tracking idea at http://sourceware.org/bugzilla/show_bug.cgi?id=9994
Comment 5 Bug Zapper 2009-06-09 23:06:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 10:09:22 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.